#!/bin/bash
# Script para extraer la fecha y el valor de un cambio de divisa 

# Parametros que se leen de la linea de comandos con sus valores por defecto
AHORA=$(date +"%Y%m%d_%H%M%S_%N")
CARPETA_OUT="/home/abzerox/Escritorio"
EXT='ods'

#descarguen los valores de la pagina del fondo
wget --output-document=$CARPETA_OUT/historicFondo.tmp "https://funds.ddns.net/f.php?isin=ES0133878035"

# Recupero el ISIN, el nombre del fondo y la moneda
vIsin=$(grep -Ewio '([A-Z]{2}[0-9]{10})' $CARPETA_OUT/historicFondo.tmp)
vNomFons=$(grep -Eo ':\s*([A-Za-z ])+' $CARPETA_OUT/historicFondo.tmp | sed -re 's/^(\s|:)+//g')

vMoneda=$(grep -Eo '<b>([A-Z]{3})</b>' $CARPETA_OUT/historicFondo.tmp | sed -re 's/<\/?b>//g')

#############################################################################################
# GENERACIÓN DEL ARCHIVO ODS O XLS.
# 1) Primero recupero los campos correspondientes a la fecha y valor
# 2) Luego, sustituyo los tags html <td> </td> por "".
# 3) A continuación utilizo sed en modo multilinea (opción N) para agrupar (fecha;valor)
# 4) Por ultimo, añado las cabezeras a el archivo final.
#############################################################################################
grep -Eo '(<td>[0-9]{4}-[0-9]{2}-[0-9]{2}<\/td>|<td>[0-9]+,[0-9]+</td>)' historicFondo.tmp | \
sed -e 's/<td>//g' -e 's/<\/td>//g' | \
sed -e 'N; s/\n/;/g' > table.${EXT} 
sed -i '1i FECHA;VL:EURO' table.${EXT} 

echo "ISIN = "$vIsin 
echo "FONS = "$vNomFons
echo "Moneda = "$vMoneda
echo "Proceso finalizado correctamente."
